use strict;
use lib "t/TestApp/lib";
use Test::More;

BEGIN { $ENV{ENABLE_MESSAGE_STACK_STICKIY} = 1 };

use Test::WWW::Mechanize::Catalyst;
my $mech = Test::WWW::Mechanize::Catalyst->new(catalyst_app => 'TestApp');

$mech->get_ok("/");
is $mech->content, 'hello';

$mech->get_ok("/count");
is $mech->content, 0;

$mech->get_ok("/stack");
is $mech->content, 'stacked';

$mech->get_ok("/count");
is $mech->content, 1;

$mech->get_ok("/stack?reset=1");
is $mech->content, 'stacked';

$mech->get_ok("/count");
is $mech->content, 0;

$mech->get_ok("/stack?redirect=1");
is $mech->content, 'hello';

$mech->get_ok("/count");
is $mech->content, 1;

done_testing;
