use strict;
use lib "t/TestApp/lib";
use Test::More;

BEGIN { $ENV{ENABLE_MESSAGE_STACK_STICKIY} = 0 };

use Test::WWW::Mechanize::Catalyst;
my $mech = Test::WWW::Mechanize::Catalyst->new(catalyst_app => 'TestApp');

$mech->get_ok("/");
is $mech->content, 'hello';

$mech->get_ok("/count");
is $mech->content, 0;

$mech->get_ok("/stack");
is $mech->content, 'stacked';

$mech->get_ok("/count");
is $mech->content, 0;

done_testing;
